Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network205.2.176.0/20
Usable hosts4,094
Subnet mask255.255.240.0
Addresses4,096
Network address
205.2.176.0
Broadcast address
205.2.191.255
First usable
205.2.176.1
Last usable
205.2.191.254
Usable hosts
4,094 (4,096 less the network and broadcast addresses)
Subnet mask
255.255.240.0
Wildcard mask
0.0.15.255 (Cisco ACLs, OSPF)
Prefix length
/20
Type
Public public
Old class
C (default /24)
As numbers
Hex CD02B000 · Integer 3439505408 to 3439509503
Reverse DNS zones
176.2.205.in-addr.arpa
177.2.205.in-addr.arpa
178.2.205.in-addr.arpa
179.2.205.in-addr.arpa
180.2.205.in-addr.arpa
181.2.205.in-addr.arpa
182.2.205.in-addr.arpa
183.2.205.in-addr.arpa
184.2.205.in-addr.arpa
185.2.205.in-addr.arpa
186.2.205.in-addr.arpa
187.2.205.in-addr.arpa
188.2.205.in-addr.arpa
189.2.205.in-addr.arpa
190.2.205.in-addr.arpa
191.2.205.in-addr.arpa
/20 is not on a 8-bit boundary, so it takes 16 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11001101.00000010.10110000.00000000205.2.176.0
Subnet mask11111111.11111111.11110000.00000000255.255.240.0
Network11001101.00000010.10110000.00000000205.2.176.0
Broadcast11001101.00000010.10111111.11111111205.2.191.255
Split into smaller subnets/31

205.2.176.0/20 makes 2,048 subnets of /31; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1205.2.176.0/31205.2.176.0 to 205.2.176.1—2
2205.2.176.2/31205.2.176.2 to 205.2.176.3—2
3205.2.176.4/31205.2.176.4 to 205.2.176.5—2
4205.2.176.6/31205.2.176.6 to 205.2.176.7—2
5205.2.176.8/31205.2.176.8 to 205.2.176.9—2
6205.2.176.10/31205.2.176.10 to 205.2.176.11—2
7205.2.176.12/31205.2.176.12 to 205.2.176.13—2
8205.2.176.14/31205.2.176.14 to 205.2.176.15—2
9205.2.176.16/31205.2.176.16 to 205.2.176.17—2
10205.2.176.18/31205.2.176.18 to 205.2.176.19—2
11205.2.176.20/31205.2.176.20 to 205.2.176.21—2
12205.2.176.22/31205.2.176.22 to 205.2.176.23—2
13205.2.176.24/31205.2.176.24 to 205.2.176.25—2
14205.2.176.26/31205.2.176.26 to 205.2.176.27—2
15205.2.176.28/31205.2.176.28 to 205.2.176.29—2
16205.2.176.30/31205.2.176.30 to 205.2.176.31—2
17205.2.176.32/31205.2.176.32 to 205.2.176.33—2
18205.2.176.34/31205.2.176.34 to 205.2.176.35—2
19205.2.176.36/31205.2.176.36 to 205.2.176.37—2
20205.2.176.38/31205.2.176.38 to 205.2.176.39—2
21205.2.176.40/31205.2.176.40 to 205.2.176.41—2
22205.2.176.42/31205.2.176.42 to 205.2.176.43—2
23205.2.176.44/31205.2.176.44 to 205.2.176.45—2
24205.2.176.46/31205.2.176.46 to 205.2.176.47—2
25205.2.176.48/31205.2.176.48 to 205.2.176.49—2
26205.2.176.50/31205.2.176.50 to 205.2.176.51—2
27205.2.176.52/31205.2.176.52 to 205.2.176.53—2
28205.2.176.54/31205.2.176.54 to 205.2.176.55—2
29205.2.176.56/31205.2.176.56 to 205.2.176.57—2
30205.2.176.58/31205.2.176.58 to 205.2.176.59—2
31205.2.176.60/31205.2.176.60 to 205.2.176.61—2
32205.2.176.62/31205.2.176.62 to 205.2.176.63—2
33205.2.176.64/31205.2.176.64 to 205.2.176.65—2
34205.2.176.66/31205.2.176.66 to 205.2.176.67—2
35205.2.176.68/31205.2.176.68 to 205.2.176.69—2
36205.2.176.70/31205.2.176.70 to 205.2.176.71—2
37205.2.176.72/31205.2.176.72 to 205.2.176.73—2
38205.2.176.74/31205.2.176.74 to 205.2.176.75—2
39205.2.176.76/31205.2.176.76 to 205.2.176.77—2
40205.2.176.78/31205.2.176.78 to 205.2.176.79—2
41205.2.176.80/31205.2.176.80 to 205.2.176.81—2
42205.2.176.82/31205.2.176.82 to 205.2.176.83—2
43205.2.176.84/31205.2.176.84 to 205.2.176.85—2
44205.2.176.86/31205.2.176.86 to 205.2.176.87—2
45205.2.176.88/31205.2.176.88 to 205.2.176.89—2
46205.2.176.90/31205.2.176.90 to 205.2.176.91—2
47205.2.176.92/31205.2.176.92 to 205.2.176.93—2
48205.2.176.94/31205.2.176.94 to 205.2.176.95—2
49205.2.176.96/31205.2.176.96 to 205.2.176.97—2
50205.2.176.98/31205.2.176.98 to 205.2.176.99—2
51205.2.176.100/31205.2.176.100 to 205.2.176.101—2
52205.2.176.102/31205.2.176.102 to 205.2.176.103—2
53205.2.176.104/31205.2.176.104 to 205.2.176.105—2
54205.2.176.106/31205.2.176.106 to 205.2.176.107—2
55205.2.176.108/31205.2.176.108 to 205.2.176.109—2
56205.2.176.110/31205.2.176.110 to 205.2.176.111—2
57205.2.176.112/31205.2.176.112 to 205.2.176.113—2
58205.2.176.114/31205.2.176.114 to 205.2.176.115—2
59205.2.176.116/31205.2.176.116 to 205.2.176.117—2
60205.2.176.118/31205.2.176.118 to 205.2.176.119—2
61205.2.176.120/31205.2.176.120 to 205.2.176.121—2
62205.2.176.122/31205.2.176.122 to 205.2.176.123—2
63205.2.176.124/31205.2.176.124 to 205.2.176.125—2
64205.2.176.126/31205.2.176.126 to 205.2.176.127—2
65205.2.176.128/31205.2.176.128 to 205.2.176.129—2
66205.2.176.130/31205.2.176.130 to 205.2.176.131—2
67205.2.176.132/31205.2.176.132 to 205.2.176.133—2
68205.2.176.134/31205.2.176.134 to 205.2.176.135—2
69205.2.176.136/31205.2.176.136 to 205.2.176.137—2
70205.2.176.138/31205.2.176.138 to 205.2.176.139—2
71205.2.176.140/31205.2.176.140 to 205.2.176.141—2
72205.2.176.142/31205.2.176.142 to 205.2.176.143—2
73205.2.176.144/31205.2.176.144 to 205.2.176.145—2
74205.2.176.146/31205.2.176.146 to 205.2.176.147—2
75205.2.176.148/31205.2.176.148 to 205.2.176.149—2
76205.2.176.150/31205.2.176.150 to 205.2.176.151—2
77205.2.176.152/31205.2.176.152 to 205.2.176.153—2
78205.2.176.154/31205.2.176.154 to 205.2.176.155—2
79205.2.176.156/31205.2.176.156 to 205.2.176.157—2
80205.2.176.158/31205.2.176.158 to 205.2.176.159—2
81205.2.176.160/31205.2.176.160 to 205.2.176.161—2
82205.2.176.162/31205.2.176.162 to 205.2.176.163—2
83205.2.176.164/31205.2.176.164 to 205.2.176.165—2
84205.2.176.166/31205.2.176.166 to 205.2.176.167—2
85205.2.176.168/31205.2.176.168 to 205.2.176.169—2
86205.2.176.170/31205.2.176.170 to 205.2.176.171—2
87205.2.176.172/31205.2.176.172 to 205.2.176.173—2
88205.2.176.174/31205.2.176.174 to 205.2.176.175—2
89205.2.176.176/31205.2.176.176 to 205.2.176.177—2
90205.2.176.178/31205.2.176.178 to 205.2.176.179—2
91205.2.176.180/31205.2.176.180 to 205.2.176.181—2
92205.2.176.182/31205.2.176.182 to 205.2.176.183—2
93205.2.176.184/31205.2.176.184 to 205.2.176.185—2
94205.2.176.186/31205.2.176.186 to 205.2.176.187—2
95205.2.176.188/31205.2.176.188 to 205.2.176.189—2
96205.2.176.190/31205.2.176.190 to 205.2.176.191—2
97205.2.176.192/31205.2.176.192 to 205.2.176.193—2
98205.2.176.194/31205.2.176.194 to 205.2.176.195—2
99205.2.176.196/31205.2.176.196 to 205.2.176.197—2
100205.2.176.198/31205.2.176.198 to 205.2.176.199—2
101205.2.176.200/31205.2.176.200 to 205.2.176.201—2
102205.2.176.202/31205.2.176.202 to 205.2.176.203—2
103205.2.176.204/31205.2.176.204 to 205.2.176.205—2
104205.2.176.206/31205.2.176.206 to 205.2.176.207—2
105205.2.176.208/31205.2.176.208 to 205.2.176.209—2
106205.2.176.210/31205.2.176.210 to 205.2.176.211—2
107205.2.176.212/31205.2.176.212 to 205.2.176.213—2
108205.2.176.214/31205.2.176.214 to 205.2.176.215—2
109205.2.176.216/31205.2.176.216 to 205.2.176.217—2
110205.2.176.218/31205.2.176.218 to 205.2.176.219—2
111205.2.176.220/31205.2.176.220 to 205.2.176.221—2
112205.2.176.222/31205.2.176.222 to 205.2.176.223—2
113205.2.176.224/31205.2.176.224 to 205.2.176.225—2
114205.2.176.226/31205.2.176.226 to 205.2.176.227—2
115205.2.176.228/31205.2.176.228 to 205.2.176.229—2
116205.2.176.230/31205.2.176.230 to 205.2.176.231—2
117205.2.176.232/31205.2.176.232 to 205.2.176.233—2
118205.2.176.234/31205.2.176.234 to 205.2.176.235—2
119205.2.176.236/31205.2.176.236 to 205.2.176.237—2
120205.2.176.238/31205.2.176.238 to 205.2.176.239—2
121205.2.176.240/31205.2.176.240 to 205.2.176.241—2
122205.2.176.242/31205.2.176.242 to 205.2.176.243—2
123205.2.176.244/31205.2.176.244 to 205.2.176.245—2
124205.2.176.246/31205.2.176.246 to 205.2.176.247—2
125205.2.176.248/31205.2.176.248 to 205.2.176.249—2
126205.2.176.250/31205.2.176.250 to 205.2.176.251—2
127205.2.176.252/31205.2.176.252 to 205.2.176.253—2
128205.2.176.254/31205.2.176.254 to 205.2.176.255—2
129205.2.177.0/31205.2.177.0 to 205.2.177.1—2
130205.2.177.2/31205.2.177.2 to 205.2.177.3—2
131205.2.177.4/31205.2.177.4 to 205.2.177.5—2
132205.2.177.6/31205.2.177.6 to 205.2.177.7—2
133205.2.177.8/31205.2.177.8 to 205.2.177.9—2
134205.2.177.10/31205.2.177.10 to 205.2.177.11—2
135205.2.177.12/31205.2.177.12 to 205.2.177.13—2
136205.2.177.14/31205.2.177.14 to 205.2.177.15—2
137205.2.177.16/31205.2.177.16 to 205.2.177.17—2
138205.2.177.18/31205.2.177.18 to 205.2.177.19—2
139205.2.177.20/31205.2.177.20 to 205.2.177.21—2
140205.2.177.22/31205.2.177.22 to 205.2.177.23—2
141205.2.177.24/31205.2.177.24 to 205.2.177.25—2
142205.2.177.26/31205.2.177.26 to 205.2.177.27—2
143205.2.177.28/31205.2.177.28 to 205.2.177.29—2
144205.2.177.30/31205.2.177.30 to 205.2.177.31—2
145205.2.177.32/31205.2.177.32 to 205.2.177.33—2
146205.2.177.34/31205.2.177.34 to 205.2.177.35—2
147205.2.177.36/31205.2.177.36 to 205.2.177.37—2
148205.2.177.38/31205.2.177.38 to 205.2.177.39—2
149205.2.177.40/31205.2.177.40 to 205.2.177.41—2
150205.2.177.42/31205.2.177.42 to 205.2.177.43—2
151205.2.177.44/31205.2.177.44 to 205.2.177.45—2
152205.2.177.46/31205.2.177.46 to 205.2.177.47—2
153205.2.177.48/31205.2.177.48 to 205.2.177.49—2
154205.2.177.50/31205.2.177.50 to 205.2.177.51—2
155205.2.177.52/31205.2.177.52 to 205.2.177.53—2
156205.2.177.54/31205.2.177.54 to 205.2.177.55—2
157205.2.177.56/31205.2.177.56 to 205.2.177.57—2
158205.2.177.58/31205.2.177.58 to 205.2.177.59—2
159205.2.177.60/31205.2.177.60 to 205.2.177.61—2
160205.2.177.62/31205.2.177.62 to 205.2.177.63—2
161205.2.177.64/31205.2.177.64 to 205.2.177.65—2
162205.2.177.66/31205.2.177.66 to 205.2.177.67—2
163205.2.177.68/31205.2.177.68 to 205.2.177.69—2
164205.2.177.70/31205.2.177.70 to 205.2.177.71—2
165205.2.177.72/31205.2.177.72 to 205.2.177.73—2
166205.2.177.74/31205.2.177.74 to 205.2.177.75—2
167205.2.177.76/31205.2.177.76 to 205.2.177.77—2
168205.2.177.78/31205.2.177.78 to 205.2.177.79—2
169205.2.177.80/31205.2.177.80 to 205.2.177.81—2
170205.2.177.82/31205.2.177.82 to 205.2.177.83—2
171205.2.177.84/31205.2.177.84 to 205.2.177.85—2
172205.2.177.86/31205.2.177.86 to 205.2.177.87—2
173205.2.177.88/31205.2.177.88 to 205.2.177.89—2
174205.2.177.90/31205.2.177.90 to 205.2.177.91—2
175205.2.177.92/31205.2.177.92 to 205.2.177.93—2
176205.2.177.94/31205.2.177.94 to 205.2.177.95—2
177205.2.177.96/31205.2.177.96 to 205.2.177.97—2
178205.2.177.98/31205.2.177.98 to 205.2.177.99—2
179205.2.177.100/31205.2.177.100 to 205.2.177.101—2
180205.2.177.102/31205.2.177.102 to 205.2.177.103—2
181205.2.177.104/31205.2.177.104 to 205.2.177.105—2
182205.2.177.106/31205.2.177.106 to 205.2.177.107—2
183205.2.177.108/31205.2.177.108 to 205.2.177.109—2
184205.2.177.110/31205.2.177.110 to 205.2.177.111—2
185205.2.177.112/31205.2.177.112 to 205.2.177.113—2
186205.2.177.114/31205.2.177.114 to 205.2.177.115—2
187205.2.177.116/31205.2.177.116 to 205.2.177.117—2
188205.2.177.118/31205.2.177.118 to 205.2.177.119—2
189205.2.177.120/31205.2.177.120 to 205.2.177.121—2
190205.2.177.122/31205.2.177.122 to 205.2.177.123—2
191205.2.177.124/31205.2.177.124 to 205.2.177.125—2
192205.2.177.126/31205.2.177.126 to 205.2.177.127—2
193205.2.177.128/31205.2.177.128 to 205.2.177.129—2
194205.2.177.130/31205.2.177.130 to 205.2.177.131—2
195205.2.177.132/31205.2.177.132 to 205.2.177.133—2
196205.2.177.134/31205.2.177.134 to 205.2.177.135—2
197205.2.177.136/31205.2.177.136 to 205.2.177.137—2
198205.2.177.138/31205.2.177.138 to 205.2.177.139—2
199205.2.177.140/31205.2.177.140 to 205.2.177.141—2
200205.2.177.142/31205.2.177.142 to 205.2.177.143—2
201205.2.177.144/31205.2.177.144 to 205.2.177.145—2
202205.2.177.146/31205.2.177.146 to 205.2.177.147—2
203205.2.177.148/31205.2.177.148 to 205.2.177.149—2
204205.2.177.150/31205.2.177.150 to 205.2.177.151—2
205205.2.177.152/31205.2.177.152 to 205.2.177.153—2
206205.2.177.154/31205.2.177.154 to 205.2.177.155—2
207205.2.177.156/31205.2.177.156 to 205.2.177.157—2
208205.2.177.158/31205.2.177.158 to 205.2.177.159—2
209205.2.177.160/31205.2.177.160 to 205.2.177.161—2
210205.2.177.162/31205.2.177.162 to 205.2.177.163—2
211205.2.177.164/31205.2.177.164 to 205.2.177.165—2
212205.2.177.166/31205.2.177.166 to 205.2.177.167—2
213205.2.177.168/31205.2.177.168 to 205.2.177.169—2
214205.2.177.170/31205.2.177.170 to 205.2.177.171—2
215205.2.177.172/31205.2.177.172 to 205.2.177.173—2
216205.2.177.174/31205.2.177.174 to 205.2.177.175—2
217205.2.177.176/31205.2.177.176 to 205.2.177.177—2
218205.2.177.178/31205.2.177.178 to 205.2.177.179—2
219205.2.177.180/31205.2.177.180 to 205.2.177.181—2
220205.2.177.182/31205.2.177.182 to 205.2.177.183—2
221205.2.177.184/31205.2.177.184 to 205.2.177.185—2
222205.2.177.186/31205.2.177.186 to 205.2.177.187—2
223205.2.177.188/31205.2.177.188 to 205.2.177.189—2
224205.2.177.190/31205.2.177.190 to 205.2.177.191—2
225205.2.177.192/31205.2.177.192 to 205.2.177.193—2
226205.2.177.194/31205.2.177.194 to 205.2.177.195—2
227205.2.177.196/31205.2.177.196 to 205.2.177.197—2
228205.2.177.198/31205.2.177.198 to 205.2.177.199—2
229205.2.177.200/31205.2.177.200 to 205.2.177.201—2
230205.2.177.202/31205.2.177.202 to 205.2.177.203—2
231205.2.177.204/31205.2.177.204 to 205.2.177.205—2
232205.2.177.206/31205.2.177.206 to 205.2.177.207—2
233205.2.177.208/31205.2.177.208 to 205.2.177.209—2
234205.2.177.210/31205.2.177.210 to 205.2.177.211—2
235205.2.177.212/31205.2.177.212 to 205.2.177.213—2
236205.2.177.214/31205.2.177.214 to 205.2.177.215—2
237205.2.177.216/31205.2.177.216 to 205.2.177.217—2
238205.2.177.218/31205.2.177.218 to 205.2.177.219—2
239205.2.177.220/31205.2.177.220 to 205.2.177.221—2
240205.2.177.222/31205.2.177.222 to 205.2.177.223—2
241205.2.177.224/31205.2.177.224 to 205.2.177.225—2
242205.2.177.226/31205.2.177.226 to 205.2.177.227—2
243205.2.177.228/31205.2.177.228 to 205.2.177.229—2
244205.2.177.230/31205.2.177.230 to 205.2.177.231—2
245205.2.177.232/31205.2.177.232 to 205.2.177.233—2
246205.2.177.234/31205.2.177.234 to 205.2.177.235—2
247205.2.177.236/31205.2.177.236 to 205.2.177.237—2
248205.2.177.238/31205.2.177.238 to 205.2.177.239—2
249205.2.177.240/31205.2.177.240 to 205.2.177.241—2
250205.2.177.242/31205.2.177.242 to 205.2.177.243—2
251205.2.177.244/31205.2.177.244 to 205.2.177.245—2
252205.2.177.246/31205.2.177.246 to 205.2.177.247—2
253205.2.177.248/31205.2.177.248 to 205.2.177.249—2
254205.2.177.250/31205.2.177.250 to 205.2.177.251—2
255205.2.177.252/31205.2.177.252 to 205.2.177.253—2
256205.2.177.254/31205.2.177.254 to 205.2.177.255—2

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses